Redmine - Feature #5232
Show 'My page' after login
2010-04-01 16:57 - Robert Schneider

Status: Closed Start date: 2010-04-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

It would be also nice if there would be a user setting that allowes one to get to the My page after login, instead of the Home page.

Generally, a better My page would be nice. With more configuration options. | would be happy if | could see all tickets (observed,
assigend to, ...), not only the first 10.

Related issues:
Is duplicate of Redmine - Feature #1233: change default homepage to My page New 2008-05-13

History

#1 - 2010-04-15 07:51 - jessie wang

same question(]

#2 - 2010-05-14 00:54 - Savannah Durbin

- File user_selects_default_login.diff added

| created a patch for this issue. It doesn't make the "My Page" any prettier, but in "My Account” it allows you to choose whether you would like your
homepage to be My Page, or the default index page. Feel free to try it out!

#3 - 2010-05-14 16:06 - Eraldo Girardi
Savannah Durbin wrote:
| created a patch for this issue. It doesn't make the "My Page" any prettier, but in "My Account" it allows you to choose whether you would like

your homepage to be My Page, or the default index page. Feel free to try it out!

Thanks, this is very useful.

How this setting get stored in the database?

| don't see any "default_homepage" in the users table.

I'm sorry if I'm asking for a dumb question, I'm not a ruby developer.

#4 - 2013-02-09 08:34 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate
As in #1233#note-20, this issue is duplicate with #1233.
#5 - 2015-03-05 07:28 - Zack s

In redmine 2.5.x .. config/route.rb

# root :to => 'welcome#index', :as => 'home'

root :to => '', :controller => 'my', :action => 'page', :as => 'home'

#6 - 2015-07-30 10:39 - Jean Louis
Zack s wrote:

In redmine 2.5.x .. config/route.rb

# root :to => 'welcome#index', :as => 'home'
root :to => ", :controller => 'my’, :action => 'page’, :as => 'home'

doesn't seems to work on redmine 3.1.0 (internal error) then | modify only with the begin of your patch,
in "app/controllers/account_controller.rb" :

= call_hook (:controller_account_success_authentication_after, {:user => user })
redirect_back_or_default my_page_path

+ redirect_to :controller => 'my', :action => 'page'

#7 - 2015-09-21 16:11 - Rafal Kotodziejczyk
Jean Louis wrote:

doesn't seems to work on redmine 3.1.0 (internal error) then | modify only with the begin of your patch,

This work for me:

root :to => 'my#page’, :via => :get, :as => 'home'

#8 - 2019-12-18 14:51 - Muzaffer Daglhoglu

my redmine version 4.0.5

file path
".\redime\htdocs\app\controllers\account_controller.rb"

code is working...

call_hook (:controller_account_success_authentication_after, {:user => user })
redirect_to :controller => 'my', :action => 'page'

Files

user_selects_default_login.diff 2.47 KB 2010-05-13 Savannah Durbin
